Bulk Create Accounts

Use the Bulk Create Accounts endpoint to create up to 100 accounts in a single API request. This endpoint supports intelligent deduplication and returns separate arrays for newly created and existing accounts.

Important: This endpoint creates new accounts but does NOT update existing ones. Existing accounts that match the criteria will be returned in the existing_accounts array without modification.

To update existing accounts, use the Bulk Update Accounts endpoint.

Body Params
accounts
array of objects
required
length ≤ 100

Array of account attribute objects (maximum 100 accounts per request)

accounts*
append_label_names
array of strings

Array of label names to add to ALL accounts in this request

append_label_names
boolean
Defaults to false

Enable aggressive deduplication by domain, organization_id, and name. When false (default), only matches by CRM IDs. When true, also matches by domain, organization_id, and name. Existing accounts are returned without modification in both modes

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain